%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% script to read the postion of the 
%%% vessel as acquired during the lagrangian navigation
%%%
%%% 04/09/2010 AD & GR
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ Time_Bouee,Lat_Bouee,Lon_Bouee ] = lecture_trame_fichier_bouee_tous(dir_bouee,ordre)

% ordre = 0 last position
% ordre = 1 penultimate position
%
% This function reads position in the file ScanEtrack aaaammjjhhmmss_xx.txt
% 2010-08-25 14:00:28;43.106750;5.883755;0;144;0;Tracking;0
% Content is as follows :
% 2010-02-01 16:55:51;48.718517;2.564620;95;1;0;ALARME;0
% 2010-02-01 16:55:51	: Date et heure du SBD 
% 48.718517			: Latitude
% 2.564620			: Longitude
% 95				: Altitude
% 1	: Event (1 = Alarme; 2 = Alerte, 21 = tracking)
% 0	: Vitesse  
% ALARME	: Message related to the event
% 0	: Cap
% Reading buoy position
disp(' ')
disp(' Lecture trame Fichier BOUEE ')
%r=dir('C:\ScanEtrack\trame\*.txt');
r=dir([dir_bouee,'*.txt']);
r_name={r.name};
% research more recent file
Date_File_entier=char(r_name);
Date_File=Date_File_entier(:,1:14);
[is,js]=size(Date_File);
Col_T(1:is)='T';
Date_=datenum([Date_File(:,1:8),Col_T',Date_File(:,9:14)],'yyyymmddTHHMMSS');

for ifile=1:is
    file_bouee=r(ifile).name;
    %disp([' lecture fichier de bouee recu ',file_bouee]);
% opening and reading found file
%f_b=fopen(['C:\ScanEtrack\trame\',file_bouee]);
f_b=fopen(['../Iridium/ScanEtrack/trame/',file_bouee]);
trame=fread(f_b,'*char')';


%decoding line of the buoy file 
% 2010-08-25 14:00:28;43.106750;5.883755;0;144;0;Tracking;0
comma=strfind(trame,';');
trame(comma(1)+1:comma(2)-1);
Lat_Bouee(ifile)=str2num(trame(comma(1)+1:comma(2)-1));  %  � verifier
Lon_Bouee(ifile)=str2num(trame(comma(2)+1:comma(3)-1));
% research date and hour of the position
Time_Bouee(ifile)=datenum(trame(1:19),'yyyy-mm-dd HH:MM:SS')*86400; %% en secondes
%%disp(['   Position bouee le ',datestr(Time_Bouee(ifile)*86400,'yyyy-mm-dd HH:MM:SS'),' Lat ',num2str(Lat_Bouee),' Lon ',num2str(Lon_Bouee)])

%% output time in seconds
%Time_Bouee(ifile)=datenum(Time_Bouee)*86400; %% en secondes

%closing buoy file
fclose(f_b);
end%for ifile

end

