%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%function [timeSF6,lonSF6,latSF6,concSF6]=load_SF6(dirin,mapping_id)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% function for loading data of the SF6 validated data
%%%
%%% INPUT : sf6_mapping*_validated_MATLABformat.txt
%%%
%%% OUTPUT: lon and lat of the points with FSLE > .2 [days^-1]<-CHECK!!!!!!
%%% 
%%%
%%% ALGORITHM: load TXT files adapted from Stephan's files 
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 05/12/2012, LR : change loading files path
%%% 01/03/2011 : andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [timeSF6,lonSF6,latSF6,concSF6]=load_SF6(dirin,mapping_id)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

filename=['SF6/sf6_mapping',mapping_id,'_validated_MATLABformat.txt'];

pippo=load(filename);

mm=pippo(:,1);
dd=pippo(:,2);
yyyy=pippo(:,3);
HH=pippo(:,4);
MM=pippo(:,5);

timeSF6=datenum(yyyy,mm,dd,HH,MM,0);

lonSF6=pippo(:,6);
latSF6=pippo(:,7);
concSF6=pippo(:,8);

return


