%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with vessel trajecotries
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure of vessel trajectories
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot the vessel trajecotries
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 05/12/2012 : louise.rousselet@etu.univ-amu.fr : change loading files
%%% path
%%% 20/09/2010 : andrea.doglioli@univmed.fr 
%%%              francesco.nencioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help map_VESSEL
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;
%%
%- Data directory -%
dirin_VESSEL='Tethys/'
vessel_name='tethys'; %%% file 
%
%- Time interval of the trajectories -%
interval=[datenum(2010,9,20,3,0,0) datenum(2010,9,20,17,30,0)];
%
%- 
myopt='b';
%
%- Map boundaries -%
lonmin=3;
lonmax=4.3;
latmin=42;
latmax=43.2;
%
%- Geographic projection for m_map -%
projection = 'mercator';
%
%- User coast in dirin -%
UserCoast='GOL.mat'; % in "sub_functions" directory
%
%- Plot the figure -%
figure(1); hold on; 
m_proj('mercator','lon',[lonmin lonmax],'lat',[latmin latmax])
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
plot_VESSEL(dirin_VESSEL,interval,vessel_name,myopt);
%
%%% stations
m_plot(3.9333,42.667,'r*');
m_text(3.9333,42.667,' T60');
m_range_ring(3.9333,42.667,2*1.852,'Color','r');

m_plot(4.3,42.9,'b*');
m_text(4.3,42.9,' T61');
m_range_ring(4.3,42.9,2*1.852,'Color','r');

m_plot(4.047,42.736,'c*');
m_text(4.047,42.736,'. T62');
m_range_ring(4.047,42.736,2*1.852,'Color','r')
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%- Figure title -%
title(['LATEX 2010 map-VESSEL'])
%
%- NW Mediterranean High Resolution Isobaths -%
plot_BATHY('BATHYMETRY_NWMED/',[200 500]);
%
%- User's High Resolution Coastline -%
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%- Geographical Axis -%
m_grid('box','fancy','tickdir','in');
xlabel('Longtitude');
ylabel('Latitude');
%
%- Figure Printing -%
print(1,'./figures/map_VESSEL.png','-dpng','-r200');
%
disp(' ');
disp('----- END ---')
