% AVHRR_png.m
% Trace les images AVHRR du catalogue:
% \\Pcrougier\GOLTS\Osis\CMS_GOLTS\png_gray
% Permet de choisir l'image  tracer.
% Fabrique une palette de couleur centre sur zmin, zmax :
%   -zmin : valeur min des pixels de l'image # 0.
%   -zmax : valeur max des pixels de l'image # 255.
% Si cette palette ne convient pas, possibilit de rajuster zmin et zmax /
% aux pixels ayant la plus forte occurence : mthode histogramme.
% Permet de superposer un ou plusieurs transects ADCP  un bin choisi.
% NB: la vraie palette (avec nuages en blanc et terre en gris) n'est pas
% affiche en entier (cf pg AVHRR_test.m).

%adaptation pour etudiants ayant telecharge eux-memes les images
% a partir de osis

%png3   28/08/08  pour utiliser durant Latex08
%hic avec la colorbar voir lignes 167-170 + fin; pbm pas resolu
close all;
clear all;
ici=pwd;
% dsarchivage de l'image satellite slectionne
% if isunix
%     addpath '/homes/grougier/golts/matlab';
%     path_png='/export/home/GOLTS/Osis/CMS_GOLTS/png_gray';
%     [f_png,p_png]=uigetfile([path_png,'/*.png']);
% else
%     %path_png='\\Pcrougier\GOLTS\Osis\CMS_GOLTS\png_gray';
%     path_png='g:\golts\AVHRR\png_gray';
    [f_png,p_png]=uigetfile(['*.png']);
% end

%(rappel: user_entry =  chemin du rpertoire
%             d = dir(*.extension) (contient donc les noms des fichiers)
%             suivi du rpertoire o effectuer la dcompression (sans 
%oublier de laisser un espace))

% extraction de la date de l image
[p_raw,f_raw,ext]=fileparts([p_png,f_png]);
[pxx,name,ext,version]=fileparts(f_raw);
titre_image=name;
tan=titre_image(1:4);
tmois=titre_image(5:6);
tjour=titre_image(7:8); 
theure=titre_image(9:10);
tminute=titre_image(11:12);

%lecture pour le canal 4
imc4=imread([p_png,f_png]);
imc4=double(imc4);

% TRACET DE L'IMAGE figure 1
figure(1);
hold on;
axis([4.8 6.1 42.2 43.45]);
%asp=[0.3 0.3 1];
asp=[1 cos(43*pi/180) 1];
set(gca,'DataAspectRatioMode','manual','DataAspectRatio',asp);

%positionnement de l'image en lat,lon
xim=2.49+[1:500]*0.01;
yim=41.+[260:-1:1]*0.01;
him=image(xim,yim,imc4);
[xc,yc]=meshgrid(xim,yim);
[C,h]=contour(xc,yc,imc4,[50 50],'k'); % 85~13.5
% choisir la couleur de l'isocontour
set(h,'color',[0.1 0.1 0.6]);

% colormap centre sur les min et max pour les images infra rouge
ind=find(imc4~=0 & imc4~=255);
zmax=max(imc4(ind));
zmin=min(imc4(ind));
jet_ir=colormap(jet(zmax-zmin+1));
%construction de la barre de couleur
map_fin(1,:)=[1 1 1]; % blanc pour les nuages
for i=2:zmin
    map_fin(i,:)=jet_ir(1,:);
end
map_fin(zmin+1:zmax+1,:)=jet_ir;
for i=zmax+2:254
    map_fin(i,:)=jet_ir(end,:);
end
map_fin(255,:)=[0.5 0.5 0.5]; % gris pour la terre
c=colormap(map_fin);
co=colorbar;
% pour avoir une lgende de barre de couleur en temprature (et non pas en count) strictement monotone
set(co,'ylim',[zmin,zmax],'ytick',[zmin:10:zmax],'yticklabel',[(zmin/10+5):1:(zmax/10+5)])  

set(gca,'ydir','normal','ylim',[41.5 43.6],'ytick',[41.5:0.5:43.5],'yticklabel',[41.5:0.5:43.5],...
    'xlim',[3 7])
set(gca,'layer','top','fontsize',12)
title(['image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),''])

%----fin figure 1------

choixg=menu('voulez-vous modifier la colorbar ?','oui','non');
if choixg==1
    choix=menu('Que voulez-vous faire ?','ajuster avec l''histogramme ','fixer les limites');
    
    % HISTOGRAMME figure 2
    if choix==1
        figure(2)
        range=255;
        [m,n]=size(imc4);
        [cnts,bins]=histc(reshape(imc4,[1 m*n]),[0:range-1]);
        bar([1:range],cnts,'histo');  
        set(gca,'xlim',[0 255],'xtick',[0 50 100 120 150 200 255])
        title('Histogramme');
        
        % Pointage d'un minimum et d'un maximum
        disp(' Pointez le minimum')
        [zmin,rien]=ginput(1);
        zmin=ceil(zmin);
        disp(' Pointez le maximum')
        [zmax,rien]=ginput(1);
        zmax=ceil(zmax);
        close(2)
    else % fixe les limites par commande au clavier
        Tmin=input('Quelle Tmin>=5 ? valeur entiere : ');
        Tmax=input('Quelle Tmax ? valeur entiere :');
        
%AJOUT du ROUND on 28/08/08 car hic sur k (colorbar monotone)
% les limitres rentres sont des temperatures  transformer en count
        zmin=round((Tmin-5)*10);
        zmax=round((Tmax-5)*10);
    end
    
    display([zmin zmax])
        
    % RETRACET DE L'IMAGE figure 3
    figure(3)
    hold on
    axis([3 7 41.5 43.6]);
    %axis([4.8 6.1 42.2 43.45]);
    %asp=[0.3 0.3 1];
    asp=[1 cos(43*pi/180) 1];
    set(gca,'DataAspectRatioMode','manual','DataAspectRatio',asp);
    
    xim=2.49+[1:500]*0.01;
    yim=41.+[260:-1:1]*0.01;
    him=image(xim,yim,imc4);
    [xc,yc]=meshgrid(xim,yim);
    %[C,h]=contour(xc,yc,imc4,[80 80],'k'); % 85~13.5
    %% choisir la couleur de l'isocontour
    %set(h,'color',[0.1 0.1 0.6])
    
    % colormap pour les images infra rouge
    jet_ir=colormap(jet(zmax-zmin+1));
    %construction de la barre de couleur
    clear map_fin
    map_fin(1,:)=[1 1 1];
    for i=2:zmin
        map_fin(i,:)=jet_ir(1,:);
    end
    map_fin(zmin+1:zmax+1,:)=jet_ir;
    for i=zmax+2:254
        map_fin(i,:)=jet_ir(end,:);
    end
    map_fin(255,:)=[0.5 0.5 0.5];
    c=colormap(map_fin);
    
    co=colorbar;
    %% Position de la colorbar
    Pc=get(co,'Position');  
    
% calcul des temperatures
    Tmin=zmin/10+5;
    Tmax=zmax/10+5;
    
    % pour avoir une lgende de barre de couleur strictement monotone
    set(co,'ylim',[zmin,zmax],'ytick',[zmin:10:zmax],'yticklabel',[Tmin:1:Tmax])

    box on
    set(gca,'ydir','normal','ylim',[41.5 43.6],'ytick',[41.5:0.5:43.5],'yticklabel',[41.5:0.5:43.5],...
        'xlim',[3 7])
    set(gca,'layer','top','fontsize',12)
    title(['image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),''])
end   

close(1); %fermeture de l'image non contrastee
%-----------Traitement bouees derivantes
% Traitement des bouees derivantes Argos
% Argos / numero des bouees ,profondeur de drogue  et couleur associee
[file_bouee,path_bouee]=uigetfile('../Bouee_derivante/*.txt',' Fichier des Positions ');
pos_bouee=load([path_bouee,file_bouee]);
%83631 ---- premiere a l'eau
%83632
nb_de_bouee=2;
no_bouee_1=83631;
no_bouee_2=83632;
bouee_1=find(pos_bouee==no_bouee_1);
bouee_2=find(pos_bouee==no_bouee_2);
% bouee_3=find(pos_bouee==73236);

%mise � l'eau
set(gca,'linewidth',2);

% %indice de debut
% ndb=input(' indice de debut du trace ','s');
% idb=str2num(ndb);
idb=1;

% trace des trajectoires de chaque bouee
nb1=length(bouee_1);
plot(pos_bouee(bouee_1(1),3),pos_bouee(bouee_1(1),2),'om','markersize',14);
for ib=idb:nb1
    ipart=ib*(1/nb1);
    ic=[ipart 0 0];
    plot(pos_bouee(bouee_1(ib),3),pos_bouee(bouee_1(ib),2),'om','markersize',10,'linewidth',2);
 %   text(pos_bouee(bouee_1(ib),3),pos_bouee(bouee_1(ib),2),num2str(ib),'fontsize',14);
end
plot(pos_bouee(bouee_1(nb1),3),pos_bouee(bouee_1(nb1),2),'*k','markersize',35);

nb2=length(bouee_2);
plot(pos_bouee(bouee_2(1),3),pos_bouee(bouee_2(1),2),'or','markersize',14);
for ib=idb:nb2
    ipart=ib*(1/nb2);
    ic=[ipart ipart ipart];
    plot(pos_bouee(bouee_2(ib),3),pos_bouee(bouee_2(ib),2),'or','markersize',10,'linewidth',2);
  %  text(pos_bouee(bouee_2(ib),3),pos_bouee(bouee_2(ib),2),num2str(ib),'fontsize',14);
end
plot(pos_bouee(bouee_2(nb2),3),pos_bouee(bouee_2(nb2),2),'*k','markersize',35);

% nb3=length(bouee_3);
% plot(pos_bouee(bouee_3(1),3),pos_bouee(bouee_3(1),2),'og','markersize',14);
% for ib=idb:nb3
%     ipart=ib*(1/nb3);
%     ic=[0 ipart 0];
%     plot(pos_bouee(bouee_3(ib),3),pos_bouee(bouee_3(ib),2),'og','markersize',10,'linewidth',2);
%    % text(pos_bouee(bouee_3(ib),3),pos_bouee(bouee_3(ib),2),num2str(ib),'fontsize',14);
% end
% plot(pos_bouee(bouee_3(nb3),3),pos_bouee(bouee_3(nb3),2),'*k','markersize',35);


%relier les positions par un trait
plot(pos_bouee(bouee_1,3),pos_bouee(bouee_1,2),'y','linewidth',2);
plot(pos_bouee(bouee_2,3),pos_bouee(bouee_2,2),'y','linewidth',2);
% plot(pos_bouee(bouee_3,3),pos_bouee(bouee_3,2),'y','linewidth',2);

%Legende
plot(3.55,43.50,'om','markersize',14,'linewidth',2);text(3.1,43.50,num2str(no_bouee_1));
plot(3.55,43.40,'or','markersize',14,'linewidth',2);text(3.1,43.40,num2str(no_bouee_2));

% FIN TRAITEMENT BOUEE DERIVANTE

% ajout du point SOFI
Sofi=[5.13 43.07];
plot(Sofi(1,1),Sofi(1,2),'xr');

% % AJOUT DE LA BATHYMETRIE
%     %isobathes  partir de la bathymtrie raliste
%     cd d:\bathy;
    load line100.txt;
    load line200.txt;
    load line500.txt;
    load line1000.txt;
    load line1500.txt;
    load line2000.txt;
    load line2500.txt;
    
    h1=plot(line100(:,2),line100(:,1),'k');
    set(h1,'color',[0.6 0.6 0.6]);
    h2=plot(line200(:,2),line200(:,1),'k');
    %set(h2,'color',[0.2 0.2 0.2],'linewidth',2)
    set(h2,'color',[0.2 0.2 0.2]);
    h3=plot(line500(:,2),line500(:,1),'k');
    set(h3,'color',[0.6 0.6 0.6]);
    h4=plot(line1000(:,2),line1000(:,1),'k');
    set(h4,'color',[0.6 0.6 0.6]);
    h5=plot(line1500(:,2),line1500(:,1),'k');
    set(h5,'color',[0.6 0.6 0.6]);
    h6=plot(line2000(:,2),line2000(:,1),'k');
    set(h6,'color',[0.6 0.6 0.6]);

xlabel('Longitude','fontsize',12);
ylabel('Latitude','fontsize',12);
cd (ici);

