%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% script to launch lagrangian buoys 
%M_MAP needed
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 24/06/2010 A.M.Doglioli
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%PARAMETERS
nclusters=3;

clustertype='equi'
sidezonal=500%[m]
sidemeridional=200%[m]
%ELSE
% clustertype='equi'
% side=200%[m]

%
dataplot='buoy'
%dataplot='adcp'
%dataplot=' '
%
projection='mercator'
%AD: tested different projection: non sensitivity
%projection='lambert'%
%projection='ortho'
%projection='sinusoidal'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%script to plot buoy or adcp data
if dataplot=='buoy'
    plot_LatexResult_P1;
elseif dataplot=='adcp'
    plot_ADCP_center;
else
    %disp('error data plot, choose buoy or adcp');break
    m_proj(projection,'lon',[0 10],'lat',[40 45]);
	m_grid('box','fancy','tickdir','in');
    m_coast    
end

    
h=figure(1);
%scrsz = [1 1 600 800]
scrsz = get(0,'ScreenSize');
set(h,'Position',[scrsz(3)/8 scrsz(4)/4 scrsz(3)/1.5 scrsz(4)/1.5])%scrsz(4)/20 scrsz(3)/2 scrsz(4)])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%
icluster=0;
while icluster<nclusters;
icluster=icluster+1;

title('\bf{\it choose the cluster center by the mouse}')
[xc,yc]=ginput(1);%windows coordinates

ii=icluster*3;

if clustertype=='rect'
%right-angled triangle (DISTANCES IN [m])
xx(ii-2)=0; yy(ii-2)=0;
xx(ii-1)=sidezonal; yy(ii-1)=0;
xx(ii)=0; yy(ii)=sidemeridional;
elseif clustertype=='equi'
%equilateral triangle (DISTANCES IN [m])
d=side/2/sind(60);
xx(ii-2)=-d*sind(30); yy(ii-2)=-d*cosd(30);
xx(ii-1)=+d*sind(30); yy(ii-1)=-d*cosd(30);
xx(ii)=0; yy(ii)=d;
else
    disp('choose clustertype')
end

figure(2);plot([xx xx(1)],[yy yy(1)],'o-');grid on;
axis([min(xx)-10 max(xx)+10 min(yy)-10 max(yy)+10]);


%convertion to lon lat, see help m_lldist
[lonc,latc]=m_xy2ll(xc,yc);
lonbuoys(1)=lonc;
latbuoys(1)=latc;

[theta,s]=cart2pol((xx-xc),(yy-yc));
a12=90-theta*180/pi;%azimuth[degree with respect N]
s=s; %distance [m]
 [lonbuoys,latbuoys,a21] = m_fdist(lonc,latc,a12(1:3),s(1:3),'grs80');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%plot
if icluster==1
clf(1)
end
figure(1)
set(h,'Position',[scrsz(3)/8 scrsz(4)/4 scrsz(3)/1.5 scrsz(4)/1.5])%scrsz(4)/20 scrsz(3)/2 scrsz(4)])

%script to plot buoy or adcp data
if dataplot=='buoy'
    plot_LatexResult_P1;
elseif dataplot=='adcp'
    plot_ADCP_center;
else
    %disp('error data plot, choose buoy or adcp');break
    m_proj(projection,'lon',[0 10],'lat',[40 45]);
	m_grid('box','fancy','tickdir','in');
    m_coast
end

figure(1);hold on;

m_plot([lonc],[latc],'k*');
m_plot([lonbuoys lonbuoys(1)],[latbuoys latbuoys(1)],'ko-');

% open the file with write permission
if icluster==1
fid = fopen('BuoyLaucherLatLon.txt','w');
else
fid = fopen('BuoyLaucherLatLon.txt','a');
end    
[trash,irmax]=size(lonbuoys);
for ir=1:irmax
fprintf(fid, '%12.4f %12.4f\r\n', [lonbuoys(ir) latbuoys(ir)]);
end
fprintf(fid,'\n')
edit BuoyLaucherLatLon.txt
fclose(fid);

end%while
