% function [] = Plot_buoy(lon_min,lat_min,lon_max,lat_max)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  %  %  %  plot_LatexResutl_P1.m
%  %  %  %  To plot the cruise result Part I
%  %  %  %  Part I: 	ADCP-Transect 1 2 3
%  %  %  %  Part II: 	Drifters Trajectories
%  %  %  %  Part III:	Eddy center positions	
%  %  %  %  Part IIII:	XBT position
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%% zone geographique de trace
delta_lon=(lon_max - lon_min);
delta_lat=(lat_max - lat_min);
dtext=delta_lon/50; %% espacement pour les textes

% [drifter_id,latl,lonl,yearl,monthl,dayl,hourl,minul]=...
%         load_drifterLatex(dirin,fname_latex,y1);

[liste_id,drifter_id,latl,lonl,yearl,monthl,dayl,hourl,minul]=load_Argos(dirin);
    tmp_id = drifter_id;
    nmax = 100;
    val_id = zeros(nmax,1);
    
%%lecture des indices de dpart des bouees
% pour eliminer les valeurs avant mise  l'eau
%%83631  61	6
% 93265  65	12
% 47833  78	11
% 47835  91	12
% 48863  103	7
% 48903  116	7

%
i_d=load([dirin,'Bouee_Start_Index.dat']);
    
    for ii = 1:nmax
       val_id(ii) = min(tmp_id);
       if (val_id(ii) == Inf)
            val_id(ii) = 0;
            break;
       end
       tmp_id(find(tmp_id == val_id(ii))) = Inf;
    end
    
    nb_buoys = ii - 1;
    
    palette   = ['k','b','r','g','y','c','m'];
    l_palette = length(palette);
    ip        = 0;
    
    marks   = ['o','^','+','s','x','*','.','d','v','^','<','>','p','h'];
    l_marks = length(marks);
    im      = 1;
    
    for ii = 1: nb_buoys
        
      ip = ip + 1;
      
      if ~mod(ip, l_palette) 
          ip = 1;
          im = im + 1;
          if ~mod(im, l_marks)
              im = 1;
          end
      end
        
      ind_latex = find(drifter_id == liste_id(ii));
      %%% prend en compte les valeurs dans le fichier
      %%% Bouee_Start_Index.dat i_d(:,2)
      indlatex=[ind_latex(1)+i_d(ii,2):ind_latex(end)];
     
      
      latlatex   = latl(indlatex);
      lonlatex   = lonl(indlatex);
	  monthlatex = monthl(indlatex);
      daylatex   = dayl(indlatex);
      hourlatex  = hourl(indlatex);
      minulatex  = minul(indlatex);
      
%      index = max(find(monthlatex == m1 & daylatex == d1));
     
     lon_l = lonlatex;
     lat_l = latlatex;
      
      hold on;
      m_text(lon_min+dtext,lat_max-5*dtext-ii*dtext,num2str(liste_id(ii)),'color',palette(ip));
        nb_de_point=0;
      for p=2:length(lon_l);
        out=lon_l(p)< lon_min |lon_l(p)>lon_max|...
            lat_l(p)<lat_min|lat_l(p)>lat_max|...
            liste_id(ii)== 29491 |...
            liste_id(ii)== 30471 |...
            liste_id(ii)== 30394 |...
            liste_id(ii)== 30448 |...
            liste_id(ii)== 29457 ;
        if not(out)
            ml=m_line([lon_l(p) lon_l(p-1)],[lat_l(p) lat_l(p-1)],...
                         'color',palette(ip),'LineWidth',2); 
            mp=m_plot(lon_l(p),lat_l(p),...
                        [palette(ip) marks(im)],'MarkerSize',5); 
            nb_de_point=nb_de_point+1;
        end
       end
 %      disp([num2str(liste_id(ii)),...
 %            ' indice de debut ',num2str(indlatex(1)),...
 %            ' nb ',num2str(nb_de_point)]);   
    end
    
	





