%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%    LATEX track plotter    %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This  script  plots  the boat and buoy tracks in 
% lat/lon  coordinate   system    togheter    with
% buoy  track in the lagrangian  reference  system 
% of the buoy.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This  script plots the trajectories of the buoys 
% released in the patch in the lagrangian reference
% frame of the Iridium buoy.
%
% ALGHORITM: read the the position of the Iridium buoy
%            read the trajectories of the buoys           
%            calculate the distance beetween the buoys 
%            and the Iridium
%
% INPUT: LATEX.201009**T******.tmp (sent by N.Martin)
%
% OUTPUT: plot of trajecoties
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%clear;close all;
%
help reconstitution
%
%%%% read the trajectory of the IRIDIUM buoy
dirin='..\Bouee_NicolasMartin\';

%%time interval corresponding to the SF6 mapping period
n_mapping=3

if n_mapping==1
    interval=[datenum(2010,9,11,22,11,0) datenum(2010,9,12,14,34,0)];%days
elseif n_mapping==2
    interval=[datenum(2010,9,13,18,40,0) datenum(2010,9,14,12,50,0)];%days
elseif n_mapping==3
    interval=[datenum(2010,9,15,18,17,0) datenum(2010,9,16,13,34,0)];%days
end

[drifter_id,lat,lon,time_id]=plot_Argos_buoys_id(dirin,300034012011820,'ro-',interval);

time_Iridium=time_id;
lon_Iridium=lon;
lat_Iridium=lat;

%%%% Buoys lauchend at last round of spiral
%for id=[83631 93265 47833 47835 48863 48903 48920 48939 48940]
for id=[83631 93265 47833 47835]

[drifter_id,lat,lon,time_id]=plot_Argos_buoys_id(dirin,id,'r-',interval);

time_b=time_id;
lon_b=lon;
lat_b=lat;
%
%% interpolation of the buoy position on the same time
%% interval of the Iridium buoy
DT=(time_b(end)-time_b(1))/(length(lon_Iridium)-1);
newtime_b=time_b(1):DT:time_b(end);
newlon_b=interp1(time_b,lon_b,newtime_b,'linear');
newlat_b=interp1(time_b,lat_b,newtime_b,'linear');
newtime_b=newtime_b';
newlon_b=newlon_b';
newlat_b=newlat_b';

%%distance calculation betweeb Iridium buoy and others buoys
[s,a12,a21] = m_idist(lon_Iridium,lat_Iridium,newlon_b,newlat_b);
theta=(90-a12)*pi/180;
[distx,disty]=pol2cart(theta,s);%[m]
distx=distx./1000; %[km]
disty=disty./1000; %[km]
%
figure(2);
hold on;

%
title('buoy trajectory in the lagrangian reference frame with Iridium ad the center')
plot(distx,disty,'k-','LineWidth',3);
text(distx(end),disty(end),'end');
text(distx(1),disty(1),['#',num2str(id)]);

axis equal
xlabel('distance x [km]');
ylabel('distance y [km]');
text(-.15,-.15,'*','FontSize',30)
grid
box on;

end%for
%

print('-f2','test','-dpng')
disp(' ')
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%