function h=add_speed_vec_sym(fname,tindex,level,skp,npts,...
                         scale,x0,y0,u_unit,units,...
                         fontsize)
hold_state = ishold;
%
% Defaults values
%

if nargin < 1
  error('You must specify a file name')
end
if nargin < 2
  disp('Default time index: 1')
  tindex=1;
end
if nargin < 3
  disp('Default level: -10 m')
  level= -10;
end
if nargin < 4
  disp('Default skip parameter: 1')
  skp=1;
end
if nargin < 5
  disp('Default boundary remove: [0 0 0 0]')
  npts=[0 0 0 0];
end
if nargin < 6
  disp('Default scale: 1')
  scale=1;
end

nc=netcdf(fname);
lat=nc{'lat'}(:);
lon=nc{'lon'}(:);

%mask=nc{'mask_rho'}(:);
angle=nc{'angle'}(:);
%angle(1:Mp,1:Np)=(pi/180)*31;
if isempty(angle)
 disp('Warning: no angle found in history file')
 angle=0*lat;
end
close(nc);
warning off

warning on

  u=get_hslice_sym(fname,'vlx',tindex,level,'u');
  v=get_hslice_sym(fname,'vly',tindex,level,'v');
   gam=(pi/180)*31;
   u=u*cos(gam)-v*sin(gam);
   v=u*sin(gam)+v*cos(gam);             
[u,v,lon,lat]=uv_vec2rho_sym(u,v,lon,lat,angle,skp,npts);

if nargin < 8
  u=u*scale;
  v=v*scale;
  h=m_quiver(lon,lat,u,v,0,'w');
else
  h=m_quiver_fix(lon,lat,u,v,scale,x0,y0,u_unit,units,...
                         fontsize,'w');
end
 set(h,'color',[0.5 0.5 0.5],'LineWidth',1);
if ~hold_state, hold off; 
end
return
