function [u_interp,v_interp,indice_bt_wt,u,v,depth,lon,lat]=interp_ADCP_Cascade_depth(dirin,z,filename)
%to help to interpolate the ADCP measurements from the nc with Bottom
%Tracking and the nc file with Water Tracking

% Input:    
%     dirin:      the directory of the nc file
%     z:          vector of depth with which all the uv will be interpolated
%     fname1...:  the name of the files that we want to interpolate

%       ZY HU 05/Sept./2010

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % % % % get the number of the input files
% % % % [a,b]=size(varargin);
% % % % for i=1:b;
% % % %     eval(['fname',num2str(i),'=varargin(:,',num2str(i),');'])
% % % % %     eval(['fname',num2str(i),'=varargin(:,',num2str(i),');'])    
% % % % end    


%Load nc files
 
nc=netcdf.open([dirin,filename], 'NC_NOWRITE'); 
if isempty(nc)
	error(['Problem opening netCDF output file: ',filename]);
end

% jjr=netcdf.getVar(nc,netcdf.inqVarId(nc,'REFERENCE_DATE_TIME'))';
% temp_ADCP=netcdf.inqVar(nc,'JULD_ADCP');  % Time
u=netcdf.getVar(nc,34);% Zonal component of velocity (Eastward - m/s) varid=34;
v=netcdf.getVar(nc,35);% Meridional component of velocity (Northward - m/s) varid=35;
depth=netcdf.getVar(nc,23);



lon=netcdf.getVar(nc,20)';; % Longitude varid=20; check the file 'varname2.txt'
lat=netcdf.getVar(nc,19)'; %

%to reset the precision of u, v and depth, 
% step can be negligate if all the variables are the same precison
% u=double(u);
% v=double(v);
% depth=double(depth);

% ajust the vector of z to be the same as the depth for the interpoloation
[adepth,bdepth]=size(depth);
[az,bz]=size(z);
if adepth~=az & bdepth~=bz
    z=z';
end
z=single(z);
% size(z)
% size(depth)




[au,bu]=size(u);
indice_bt_wt=zeros(1,bu);
if length(depth)==70;
   disp('File from Bottom Tracking')
   u_interp=zeros(length(z),bu);
   v_interp=zeros(length(z),bu);
   u_interp(1:70,:)=u;
   v_interp(1:70,:)=v;
   u_interp(71:end,:)=NaN;
   v_interp(71:end,:)=NaN;
   u_interp=single(u_interp);
   v_interp=single(v_interp);
   

elseif length(depth)==40;
    disp('File from Water Tracking')
% interpolation
u_interp=interp1(depth,u,z,'linear');
v_interp=interp1(depth,v,z,'linear'); 

% use the value from depth -17.57m for the bin2 of new data at 17m since
% they are quite close
% avoid to lose the information;
u_interp(2,:)=u(1,:); 
v_interp(2,:)=v(1,:); 
indice_bt_wt(:)=1;

end

return

