%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Script for plotting SF6 mapping data
%%
%% as an interpolated contour map
%%
%% 03/09/2010 Andrea
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%close all ;
clear

figure;hold on
m_proj('mercator','lon',[2.8 4.5],'lat',[41.9 43.3]);

%data of the position of the spiral coming from SampligSpiral.m
load memo_1
load memo_2

[loni,lati]=meshgrid(lonSF6,latSF6);
%[conci]=griddata(lonSF6,latSF6,concSF6,loni,lati,'linear');
%[conci]=griddata(lonSF6,latSF6,concSF6,loni,lati,'cubic');
%[conci]=griddata(lonSF6,latSF6,concSF6,loni,lati,'nearest');
[conci]=griddata(lonSF6,latSF6,concSF6,loni,lati,'v4');
 
m_pcolor(loni,lati,conci)
shading interp

caxis([0 100])
colorbar
    
m_grid('box','fancy','tickdir','in');
m_usercoast('./sub_functions/GOL.mat','patch',[0.6 0.6 0.6]); 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plot the SamplingSpiral
m_plot(lonspir,latspir,'k-');
    
[trash,irmax]=size(lonspir);
for ir=1:irmax
    %AD new format and order
    m_text(lonspir(ir), latspir(ir), num2str(irmax+1-ir),...
           'Color','r','BackgroundColor',[.7 .9 .7],...
           'FontSize',8);
end

disp(' ');disp('--- END ---')


  