%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with  
%%% measured current vectors and FSLE manifolds
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure of FSLE manifolds
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot the FSLE manifolds
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 17/09/2010 : ziyuan.hu@univmed.fr
%%%              francesco.nencioli@univmed.fr
%%%              marion.kersale@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear; close all;
% Choose the day
year=2010;
month=9;
day=14;
% Choose map boundaries
lonmin=2.5;
lonmax=6;
latmin=41.5;
latmax=43.7;
% Path to ADCP file
ADCPdirin='../ADCP_Tethys/ADCP_work/sta/'; % To be changed to relative path
%ADCPname=sprintf('Latex%.4d_%.2d%.2daphi_new.mat',year,day,month);
% Path to FSLE points
% Nesteed folders and names defined in load_FSLE!!!
FSLEdirin=sprintf('../FSLE_MODIS_Francesco/'); % To be changed to relative path
%FSLEname=sprintf('fsle_%.4d%.2d%.2d.mat',year,month,day);
% Output directory
dirout='.\'; % To be changed to relative path


%lonmin=min(lon)-.2;
%lonmax=max(lon)+.2;
%latmin=min(lat)-.2;
%latmax=max(lat)+.2;

% Plot the figures
figure(1)
hold on; 
m_proj('mercator','lon',[lonmin lonmax],'lat',[latmin latmax])
m_grid('box','fancy','tickdir','in');
%

plot_FSLE(FSLEdirin,year,month,day)

%%%%%%%%%%%%%%%%%%%%%%%
depth_vec=plot_ADCP_Saved(ADCPdirin,year,month,day);
%%%%%%%%%%%%%%%%%%%%%%%


%
m_usercoast('GOL.mat','patch',[0.6 0.6 0.6]);
xlabel('Longtitude');
ylabel('Latitude');

%%%% HIGH RES BATHYMETRY
plot_BATHY('../BATHYMETRY_NWMED/',[200 500]);

title(['Latex2010 ADCP @ ',num2str(abs(depth_vec)),' m and FSLE for the ',datestr(datenum(year,month,day))]);

%print(1,[dirout,fname(1:14),'_transect_',num2str(nbt(i)),'.png'],'-dpng','-r200');
