

clear;
close all;
%%% PARAMETERS
%
%- area limits -% (in degres)
lon_min =  3;
lon_max =  4;
lat_min = 41.6;
lat_max = 42.90;
%
%- Geographip projection for m_map -%
projection = 'mercator';
%
%- User coast in dirin -%
UserCoast='GOL.mat'; % in "sub_functions" directory
dirin='..\Bouee_NicolasMartin\';
%
%%% FIGURE
figure(1);hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);

%%% COASTLINE
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%%% LAT-LON PROJECTION
m_grid('box','fancy','tickdir','in');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%interval=[datenum(2010,9,14,16,15,0) now]%datenum(2010,9,14,6,15,2)+4];%day of the trajecotry
interval=[datenum(2010,9,15,18,17,0) datenum(2010,9,16,13,34,0)]
%
title(['trajectory from ',datestr(interval(1)),' to ',datestr(interval(2))])
%
%%%% Buoys lauchend off LaSeyne
% plot_Argos_buoys_id(dirin,48943,'ko',interval);
% plot_Argos_buoys_id(dirin,48944,'go',interval);
% plot_Argos_buoys_id(dirin,48945,'yo',interval);
% plot_Argos_buoys_id(dirin,48946,'ro',interval);

%%%% CARIOCA buoy
%plot_Argos_buoys_id(dirin,26128,'ko-',interval);

%%%% IRIDIUM buoy
plot_Argos_buoys_id(dirin,300034012011820,'ro-',interval);

%%%% Buoys lauchend at last round of spiral
plot_Argos_buoys_id(dirin,83631,'r*-',interval);
plot_Argos_buoys_id(dirin,93265,'b*-',interval);
plot_Argos_buoys_id(dirin,47833,'k*-',interval);
plot_Argos_buoys_id(dirin,47835,'g*-',interval);
%% Bouee recuperes le 15 Sept
% plot_Argos_buoys_id(dirin,48863,'y*-',interval);
% plot_Argos_buoys_id(dirin,48903,'c*-',interval);
% plot_Argos_buoys_id(dirin,48920,'m*-',interval);
% plot_Argos_buoys_id(dirin,48939,'r*:',interval);
% plot_Argos_buoys_id(dirin,48940,'b*:',interval);

%%%SURPLUS BUOYS
% plot_Argos_buoys_id(dirin,29457,'k*:',interval);
% plot_Argos_buoys_id(dirin,29491,'g*:',interval);
% plot_Argos_buoys_id(dirin,30448,'k+-',interval);
% plot_Argos_buoys_id(dirin,30394,'k+:',interval);
% plot_Argos_buoys_id(dirin,30471,'k*:',interval);

%%% Tethys when encountered a buoy
%m_plot(3.555,42.751,'bo')
%m_text(3.555,42.751,' TETHYS 11-Sept-2010 16:40GMT')%,'BackgroundColor',[.9 .9 .9])

%%% Glider Phyteas last position
lon=degmin_to_decideg(4,2.836,'lon')
lat=degmin_to_decideg(42,44.169,'lat')
m_text(lon,lat,'Phyteas','BackgroundColor','y')

