%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with colored
%%% circles of FSLE manifolds
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure of FSLE manifolds and buoys trajectories
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot the FSLE manifolds
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 18/09/2010 : andrea.doglioli@univmed.fr : cycle on buoys_id added
%%% 17/09/2010 : francesco.nencioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help map_FSLE_ARGOS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;

% FSLE Choose the day
year=2010;
month=9;
day=19;

% interval for the buoys
interval=[datenum(2010,9,18,10,0,0) now];%datenum(2010,9,20,6,0,0)];
buoylist=[48863 48903 48920 48939 48940]; %%%buoys taken at 15/09 and redeployed th 18/9 dureing FSLE exp

interval1=[datenum(2010,9,21,10,0,0) now];
interval2=[datenum(2010,9,21,9,0,0) now];
interval3=[datenum(2010,9,21,10,0,0) now];


% Choose map boundaries
lonmin=3;
lonmax=4.3;
latmin=42;
latmax=43.2;
% Add path to LATEX tools
% (to be removed)
%addpath('/media/DATA/LATEX/Tethys_bak/LATEX/LATEX_MATLAB_tools/');
% Path to FSLE points
%FSLEdirin=sprintf('/media/DATA/LATEX/Tethys_bak/LATEX/FSLE_MODIS_Francesco/MatFiles_%.4d%.2d%.2d/',year,month,day); % To be changed to relative path
FSLEdirin=sprintf('../FSLE_MODIS_Francesco/'); % To be changed to relative path
%FSLEname=sprintf('fsle_%.4d%.2d%.2d.mat',year,month,day);
% Output directory
dirout='.\'; % To be changed to relative path

dirin='../Bouee_NicolasMartin/';

% Plot the figures
figure(1)
hold on; 
m_proj('mercator','lon',[lonmin lonmax],'lat',[latmin latmax])
m_grid('box','fancy','tickdir','in');

%m_plot(fsle_lon,fsle_lat,'.','color',[.7 .7 .7],'markersize',5);
plot_FSLE(FSLEdirin,year,month,day)


for buoy_id=buoylist
    plot_Argos_buoys_id(dirin,buoy_id,'ro',interval);
end

%%% secon FSLE exp
plot_Argos_buoys_id(dirin,48893,'bo-',interval1);
plot_Argos_buoys_id(dirin,48942,'bo-',interval2);
plot_Argos_buoys_id(dirin,93263,'bo-',interval3);



%%% HIGH RES BATHYMERY
plot_BATHY('../BATHYMETRY_NWMED/',[200])


m_usercoast('GOL.mat','patch',[0.6 0.6 0.6]);
xlabel('Longtitude');
ylabel('Latitude');

title(['Latex2010 buoys and FSLE for the ',datestr(datenum(year,month,day))]);

print('-f1',['map_FLSE',num2str(year),num2str(month),num2str(day),'_ARGOS',datestr(now,'yyyymmddHHMM'),],'-dpng')

disp(' ');
disp('----- END ---')


