%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a geographical map with colored
%%% circles of SF6 concentration
%%%
%%% INPUT : coastline .mat file
%%%
%%% OUTPUT: m_map figure dots of SF6 concentration
%%%
%%% ALGORITHM: calcuate de projection and
%%%            plot concentration circles and correpsonding colorbar
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 17/09/2010 : andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help map_SF6
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear; close all;

%- area limits -% (in degres)
lon_min = 1;%min(lonSF6)-0.1;
lon_max = 10;
lat_min = 35;
lat_max = 45;
%
%- Geographip projection for m_map -%
projection = 'mercator';
%%% FIGURE
figure(1);hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);
m_grid('box','fancy','tickdir','in');
%m_usercoast('./GOL.mat','patch',[0.6 0.6 0.6]); 

dirin='../SF6/';
mapping_id='1';

plot_SF6(dirin,mapping_id)

break



dirin='..\Bouee_NicolasMartin\';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
interval=[datenum(2010,9,15,18,17,0) datenum(2010,9,16,13,34,0)]
%
title(['trajectory from ',datestr(interval(1)),' to ',datestr(interval(2))])
%
%%%% Buoys lauchend off LaSeyne
% plot_Argos_buoys_id(dirin,48943,'ko',interval);
% plot_Argos_buoys_id(dirin,48944,'go',interval);
% plot_Argos_buoys_id(dirin,48945,'yo',interval);
% plot_Argos_buoys_id(dirin,48946,'ro',interval);

%%%% CARIOCA buoy
%plot_Argos_buoys_id(dirin,26128,'ko-',interval);

%%%% IRIDIUM buoy
plot_Argos_buoys_id(dirin,300034012011820,'ro-',interval);

%%%% Buoys lauchend at last round of spiral
plot_Argos_buoys_id(dirin,83631,'r*-',interval);
plot_Argos_buoys_id(dirin,93265,'b*-',interval);
plot_Argos_buoys_id(dirin,47833,'k*-',interval);
plot_Argos_buoys_id(dirin,47835,'g*-',interval);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


hold on;
pause

% %plot a circle at (lonSF6,latSF6) with a color depending to concSF6
% scale=7;
% couleur=colormap;
% n=length(concSF6);
% mc=min(concSF6);
% mac=max(concSF6);
% tp11c=1+fix((concSF6-mc)*length(couleur)/(mac-mc));
% for i=1:n
%     if(concSF6(i)<mc)
%         tp11c(i)=1;
%     end
%     if(concSF6(i)>=mac)
%         tp11c(i)=63;
%     end
% end
% for i=1:n   
%     m_plot(lonSF6(i),latSF6(i),'o','MarkerEdgeColor',couleur(tp11c(i),:),...
%         'MarkerFaceColor',couleur(tp11c(i),:),'markersize',5);  
%     %m_text(lonSF6(i),latSF6(i),datestr(timeSF6(i),'HH:MM'))
%     caxis([0 mac])
%     colorbar
% 
%     title(datestr(timeSF6(i)))
% 
% pause(0.1)
% end %i

