%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% script to forecast the buoys positions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 15/09/2010 : andrea.doglioli@univmed.fr some cleaning of the program
%%%   /09/2010 : francesco.nencioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
help map_buoy_update
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5

clear;close all;
%%% PARAMETERS %%%%%
% (user defined)
%- area limits -% (in degres)
lon_min =  3.8;
lon_max =  4.2;
lat_min = 42.6;
lat_max = 42.80;


% interval for the buoys
interval=[datenum(2010,9,17,0,0,0) datenum(2010,9,19,16,40,0)];
buoylist=[48863 48903 48903 48920 48939 48940]; %%%buoys taken at 15/09 and redeployed th 18/9 dureing FSLE exp
buoylist=[48945]; %%%buoy from la seyne  +buoys taken at 15/09 and redeployed th 18/9 dureing FSLE exp

% hours from now you want to plot trajectory from
period=17;

% Time at which the new position is computed
next_d=20;  % day of September
next_h=5;   % hours
next_m=0;  % minutes
%%%%%%%%%%%%%%%%%%%
% counter to create the array of the estimated position of the buoys
j=0;
%- Geographip projection for m_map -%
projection = 'mercator';
%
%- User coast in dirin -%
UserCoast='GOL.mat'; % in "sub_functions" directory
dirin='../Bouee_NicolasMartin/';
%
%%% FIGURE
figure;hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);

%%% COASTLINE
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%%% LAT-LON PROJECTION
m_grid('box','fancy','tickdir','in');

j=1
for buoy_id=buoylist
    plot_Argos_buoys_id(dirin,buoy_id,'ro-',interval);
    [next_lon(j) next_lat(j) now_lon(j) now_lat(j)]=plot_buoy_update(dirin,48945,'r*',period,next_d,next_h,next_m);
    j=j+1;
end

% %barycenter
% next_lon_bary=mean(next_lon);
% next_lat_bary=mean(next_lat);
% m_plot(next_lon_bary,next_lat_bary,'rX','MarkerSize',12,'LineWidth',2);
% 
% %barycenter
% now_lon_bary=mean(now_lon);
% now_lat_bary=mean(now_lat);
% m_plot(now_lon_bary,now_lat_bary,'kX','MarkerSize',12,'LineWidth',2);
% 

%%% Glider Phyteas last position
disp('glider');
lon=degmin_to_decideg(4,2.836);
lat=degmin_to_decideg(42,44.169);
m_text(lon,lat,'  Pytheas 18/09 8:42 ','BackgroundColor','y','HorizontalAlignment','Right')
m_plot(lon,lat,'k*')


%title(['Baricenter Lon=',num2str(LON),' Lat=',num2str(LAT),' on the ',num2str(next_d),' Sept. @ ',num2str(next_h),':',num2str(next_m)])

print('-f1',['map_buoy_update'],'-dpng')

disp(' ');
disp('------ END ------ ');