clear;
%close all;

%- area limits -% (in degres)
lon_min =  3.45;
lon_max =  3.6;
lat_min = 42.65;
lat_max = 42.80;
%
%- Geographip projection for m_map -%
projection = 'mercator';
%
%- User coast in dirin -%
UserCoast='GOL.mat'; % in "sub_functions" directory
dirin='..\Bouee_NicolasMartin\';
%
%%% FIGURE
figure(1);
subplot(1,2,1);hold on
m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);

%%% COASTLINE
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%%% LAT-LON PROJECTION
m_grid('box','fancy','tickdir','in');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% starting position of the 9 bouys around the patch
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load ..\Bouee_NicolasMartin\nine_buoys.txt

id=nine_buoys(:,1);
n=nine_buoys(:,12);

dlat=nine_buoys(:,7);
mlat=nine_buoys(:,8);
[inilat]=decimal_position_new(dlat,mlat);

dlon=nine_buoys(:,9);
mlon=nine_buoys(:,10);
[inilon]=decimal_position_new(dlon,mlon);

m_plot(inilon,inilat,'bo')
testo=[num2str(id),num2str(n,' #%2.0f')]
m_text(inilon,inilat,testo);

%%%% IRIDIUM buoy
m_plot(3.5,42.75,'bo')
plot_Argos_buoys_id(dirin,300034012011820,'ro-',[datenum(2010,9,11,14,20,0)-20/24 datenum(2010,9,11,17,35,0)]);


%%% COASTLINE
m_usercoast(UserCoast,'patch',[.7 .7 .7],'edgecolor','k');
%m_coast('patch',[.7 .7 .7],'edgecolor','k');
%
%%% LAT-LON PROJECTION
m_grid('box','fancy','tickdir','in');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
