% plot_ADCP_Saved.m

clear all;
close all;

%addpath('D:\LATEX10\LATEX_MATLAB_tools\');
[fname,dirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\Latex2010_*aphi_new.mat','Select the Mat file');
%dirout='..\ADCP\ADCP_Tethys\work\plot\';
dirout='.\';
[lon,lat,temp,u,v,amp,angle,nE,nC,gyro]=load_ADCP_Saved(dirin,fname,999);
lon=lon';
lat=lat';
lonmin=min(lon)-0.2;
lonmax=max(lon)+0.5;
latmin=min(lat)-0.4;
latmax=max(lat)+0.2;
% zc=(-244-3:4:-8-3);
zc=(-244-3:4:-8-3);
zc=fliplr(zc);
zc=zc';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%--------------------------------------
% Added by Francesco 15-9-2010 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
interval=[datenum(2010,9,14,14,50,0) datenum(2010,9,15,7,30,0)];
dirin='/media/DATA/LATEX/Tethys_bak/LATEX/Bouee_NicolasMartin/';
%---------------------------------------------------------------------
ncolor='bgcmrky';
% ncolor=[1 1 0]

% disp('The vectors are performed at depth of -13m:-4m:329m with 80 bins');
qz=input('You want to plot the vectors from Bin = ?       ');

disp(' ')
disp(['You have choosen to plot the vectors from ',num2str(zc(qz)),' m']);

u=u(qz,:); v=v(qz,:);
clear lon_total_interp lat_total_interp u_total_interp v_total_interp;

disp('Please select the txt file for the transect indices : ');
[indicename,indicedirin]=uigetfile('..\ADCP\ADCP_Tethys\work\sta\indice_sections_Tethys_*.txt','Select the transect');
info_transect=load([indicedirin,indicename]);
ntransect=info_transect(:,1);
n1=info_transect(:,2);
n2=info_transect(:,3);  
indiceCTD=info_transect(:,4);
n1ctd=info_transect(:,5);
n2ctd=info_transect(:,6);

disp(' ');
n_plot=input('Do you want to plot all the trajectory? [y/n]','s');
if n_plot=='y';
	nbt=[1:1:length(ntransect)];
else
	qn=input('List of transects to plot: (number;)  ','s');
	t1=find(qn==';');
	nbt(1)=str2num(qn(1:(t1(1)-1)));
	for i=2:length(t1);
		nbt(i)=str2num(qn((t1(i-1)+1):(t1(i)-1)));
	end
	if qn(end)~=';'
		nbt(i+1)=str2num(qn((t1(end)+1):end));
	end

end
n_vector=input('You want to plot every xx vector (1 defaut)?  ');
if isempty(n_vector)==1;n_vector=1;end;

cunit=input('\n  cunit (default=0.3)? '); 
if isempty(cunit)==1;cunit=0.3;end;

coeff=input('\n  coeff (default=0.5)? '); 
if isempty(coeff)==1;coeff=0.5;end;

ucoef=u*coeff; vcoef=v*coeff;

graph=load('line200.txt');
graphlon=graph(:,2);
graphlat=graph(:,1);

figure(1)
hold on; 
% Modified by Francesco 15-9-2010
%m_proj('mercator','lon',[3 5],'lat',[41.8 43.6])
m_proj('mercator','lon',[lonmin lonmax],'lat',[latmin latmax])
m_grid('box','fancy','tickdir','in');
if n_plot=='y';
	for i=1:length(nbt);
		i
		%         m_quiver(lon(n))
		%     m_proj('mercator','lon',[lon(1)-0.25 lon(end)+0.25],'lat',[lat(end)-0.5 lat(1)+0.5])
		%         m_proj('mercator','lon',[3 4],'lat',[42 44])
		lonplot=lon(n1(i):n_vector:n2(i));
		latplot=lat(n1(i):n_vector:n2(i));
		uplot=ucoef(n1(i):n_vector:n2(i));
		vplot=vcoef(n1(i):n_vector:n2(i));            
		[month1,month_day1,hour1,minute1,second]=yday_to_caltime(2010,temp(n1(i)));
		[month2,month_day2,hour2,minute2,second]=yday_to_caltime(2010,temp(n2(i)));

		latdate1=lat(n1(i));
		latdate2=lat(n2(i));
		londate1=lon(n1(i));
		londate2=lon(n2(i));

		m_text(londate1,latdate1,'b','color','k','Fontsize',8,'Fontweight','bold');
		m_text(londate2,latdate2,'e','color','k','Fontsize',8,'Fontweight','bold');
		hold on;

		m_quiver(lonplot(1:n_vector:end),latplot(1:n_vector:end),uplot(1:n_vector:end),vplot(1:n_vector:end),0);%,'color',ncolor(i));
		hold on;
		%            add_my_arrow(3.06,42.25,cunit,coeff,'ms^{-1}','r');
		add_my_arrow(4,43.3,cunit,coeff,'ms^{-1}','r');
		m_usercoast('GOL.mat','patch',[0.6 0.6 0.6]);
		xlabel('Longtitude');
		ylabel('Latitude');
		%             eval(['time1=val_tps(n1_',num2str(nbt(i)),');']);
		%             eval(['time2=val_tps(n2_',num2str(nbt(i)),');']);
		%             eval(['londate1=lon(n1_',num2str(nbt(i)),');']);
		%             eval(['latdate1=lat(n1_',num2str(nbt(i)),');']);
		%             eval(['londate2=lon(n2_',num2str(nbt(i)),');']);
		%             eval(['latdate2=lat(n2_',num2str(nbt(i)),');']);
		m_plot(graphlon,graphlat,'color',[.5 .5 .5]);
		m_text(4,42.5,['Begin:',num2str(month_day1,'%02d'),'/',...
			num2str(month1,'%02d'),' ',num2str(hour1,'%02d'),'h',num2str(minute1,'%02d')],'Fontsize',10,'Fontweight','bold');
		m_text(4,42.4,['End:  ',num2str(month_day2,'%02d'),'/',...
			num2str(month2,'%02d'),' ',num2str(hour2,'%02d'),'h',num2str(minute2,'%02d')],'Fontsize',10,'Fontweight','bold');
		m_text(4,42.3 ,'Isobath at 200 m','Fontsize',10,'Fontweight','bold');

		title(['Latex2010 Transect-',num2str(nbt(i)),' at ',num2str(abs(zc(qz))),' m depth;']);

		print(1,[dirout,fname(1:14),'_transect_',num2str(nbt(i)),'.png'],'-dpng','-r200');
		%             pause
		close(1)
		clear time1 time2 londate1 londate2 latdate1 latdate2;
	end
elseif n_plot=='n'
	%           [lon(1)-0.25 lon(end)+0.25],'lat',[lat(end)-0.5 lat(1)+0.5])
	%         m_proj('mercator','lon',[3 4],'lat',[42 44])
	%         m_proj('mercator','lon',[3 4.2],'lat',[42 43.2])
	for i=1:length(nbt);
		lonplot=lon(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));
		latplot=lat(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));
		uplot=ucoef(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));
		vplot=vcoef(n1(find(ntransect==nbt(i))):n_vector:n2(find(ntransect==nbt(i))));            

		[month1,month_day1,hour1,minute1,second]=yday_to_caltime(2010,temp(n1(find(ntransect==nbt(i)))));
		[month2,month_day2,hour2,minute2,second]=yday_to_caltime(2010,temp(n2(find(ntransect==nbt(i)))));

		latdate1=lat(n1(find(ntransect==nbt(i))));
		latdate2=lat(n2(find(ntransect==nbt(i))));
		londate1=lon(n1(find(ntransect==nbt(i))));
		londate2=lon(n2(find(ntransect==nbt(i))));



		%             m_plot(londate1,latdate1,'v','color','k','Markersize',8,'linewidth',2);
		%             m_plot(londate2,latdate2,'x','color','k','Markersize',8,'linewidth',2);
		m_text(double(londate1),double(latdate1),'v','color','k','Fontsize',8,'Fontweight','bold');
		m_text(double(londate2),double(latdate2),'x','color','k','Fontsize',8,'Fontweight','bold');
		m_text(double(londate1)+.05,double(latdate1),[num2str(nbt(i))],'color','k','Fontsize',14,'Fontweight','bold','color',ncolor(i));
		hold on;
		%m_grid('box','fancy','tickdir','in');

		%             m_quiver(lonplot(find(btwtplot==1)),latplot(find(btwtplot==1)),...
		%                         uplot(find(btwtplot==1)),vplot(find(btwtplot==1)),0,'color','r');
		%             m_quiver(lonplot(find(btwtplot==0)),latplot(find(btwtplot==0)),...
		%                         uplot(find(btwtplot==0)),vplot(find(btwtplot==0)),0,'color','b');
		m_quiver(lonplot(1:n_vector:end),latplot(1:n_vector:end),uplot(1:n_vector:end),vplot(1:n_vector:end),0,'color',ncolor(i));
		hold on;


		%             xlabel('Longtitude');
		%             ylabel('Latitude');
		%              m_plot(graphlon,graphlat,'color',[.5 .5 .5]);
		m_text(4.1,42+i*.07+.04,['Begin:',num2str(month_day1,'%02d'),'/',...
			num2str(month1,'%02d'),' ',num2str(hour1,'%02d'),'h',num2str(minute1,'%02d')],'Fontsize',10,'Fontweight','bold','color',ncolor(i));
		m_text(4.1,42+i*.07,['End:  ',num2str(month_day2,'%02d'),'/',...
			num2str(month2,'%02d'),' ',num2str(hour2,'%02d'),'h',num2str(minute2,'%02d')],'Fontsize',10,'Fontweight','bold','color',ncolor(i));



		clear time1 time2 londate1 londate2 latdate1 latdate2;
		%             m_text(double(londate1),double(latdate1),datestr(time1,0),'color','r');
		%             m_text(double(londate2),double(latdate2),datestr(time2,0),'color','r');
	end
	%                   add_my_arrow(3.25,42.5,cunit,coeff,'ms^{-1}','r');
	%         m_proj('mercator','lon',[3 4.2],'lat',[41.75 43])

	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%--------------------------------------
	% Added by Francesco 15-9-2010 %
	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	% IRIDIUM buoy
	plot_Argos_buoys_id(dirin,300034012011820,'ro-',interval);
	%%%% Buoys lauchend at last round of spiral
	plot_Argos_buoys_id(dirin,83631,'ko-',interval);
	plot_Argos_buoys_id(dirin,93265,'ko-',interval);
	plot_Argos_buoys_id(dirin,47833,'ko-',interval);
	plot_Argos_buoys_id(dirin,47835,'ko-',interval);
	plot_Argos_buoys_id(dirin,48863,'ko-',interval);
	plot_Argos_buoys_id(dirin,48903,'ko-',interval);
	plot_Argos_buoys_id(dirin,48920,'ko-',interval);
	plot_Argos_buoys_id(dirin,48939,'ko-',interval);
	plot_Argos_buoys_id(dirin,48940,'ko-',interval);
	%---------------------------------------------------------------------
	
	m_text(4.1,42 ,'Isobath at 200 m','Fontsize',10,'Fontweight','bold')
	m_plot(graphlon,graphlat,'color',[.5 .5 .5]);
	%            add_my_arrow(3.06,42.25,cunit,coeff,'ms^{-1}','r');
	add_my_arrow(4,43.3,cunit,coeff,'ms^{-1}','r');
	m_usercoast('GOL.mat','patch',[0.6 0.6 0.6]);
	xlabel('Longtitude');
	ylabel('Latitude');
	title(['Latex2010 at ',num2str(abs(zc(qz))),' m depth;'],'Fontsize',15,'Fontweight','bold');
	saveas(1,[dirout,'Latex2010_transects_29_30_32_33_Transects.png']);
	%             pause
	%             close

end
