%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plot_AVHRR
% from AVHRR_BOUEE AP Sept 10, 2010
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [ ]=plot_AVHRR(dirin,fname4,Tmin,Tmax,lon_text,lat_text)

        
Pss=imread([dirin,fname4]);
Pss=double(Pss);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Prepare Matix of Avhrr %%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


    % Definition of Avhrr image domain, 
    % Vallues obtained from v4.4, choosing GOL
    up_left_lon = 3;
    up_left_lat = 43.6;
    X_pixels = 500; %  same size as P
    Y_pixels = 260;
    % Resolution
    res = 0.01;
    % Suppress cloud and earth points
    Pss(find(Pss==255))=NaN;
    Pss(find(Pss==0))=NaN;
    % Convert to Brightness Temperature
    Pss=0.1*Pss+5; % deg C
    % Title
    [pathstr,name,ext,versn] = fileparts([dirin,fname4]);
    s.bar_title=['AVHRR - (' name ext versn ')'];
%      Plat=up_left_lat-[0:(Y_pixels-1)]*res;
%      Plon=up_left_lon+[0:(X_pixels-1)]*res;
Plon=2.45+[1:500]*0.01;
Plat=40.98+[260:-1:1]*0.01;
        % Since the grid is rectangluar in lat/long (i.e. not
        % really a projection at all, althouhg it is included in
        % m_map under the name 'equidistant cyldindrical'), we
        % don't want to use the 'image' technique. Instead...
        % Create a grid, offsetting by half a grid point to account
        % for the flat pcolor
        %[Plg,Plt]=meshgrid(Plon+res*0.5,Plat-res*0.5);
    [Plg,Plt]=meshgrid(Plon,Plat);
%      palette=jet(256);
    palette=jet(512);

%%%%%%%%%%%%%%%%%%%%%%%
%%%% Plot the image %%%
%%%%%%%%%%%%%%%%%%%%%%%
%
%      m_pcolor(Plg,Plt,Pss);
%          shading flat;
%      shading flat;
    colormap(palette);
      s.minClim=min(Pss(~isnan(Pss)));
      s.maxClim=max(Pss(~isnan(Pss)));
    % Fix the colorbar
       s.minClim=Tmin;
       s.maxClim=Tmax;

       
       Pss(find(Pss<s.minClim))=s.minClim;
Pss(find(Pss>s.maxClim))=s.maxClim;

m_contourf(Plg,Plt,Pss,[s.minClim:0.1:s.maxClim]);   shading flat;

%      set(gca,'CLim',[s.minClim s.maxClim]);
    s.bar=colorbar;
    set(s.bar,'YTick',[s.minClim:0.4:s.maxClim],'Location','EastOutside');  


if nargin > 4
    m_text(lon_text,lat_text,fname4(42:53),'BackgroundColor','w')
end


return
