%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  %  %  %  plot_LatexResutl_P1.m
%  %  %  %  To plot the cruise result Part I
%  %  %  %  Part I: 	ADCP-Transect 1 2 3
%  %  %  %  Part II: 	Drifters Trajectories
%  %  %  %  Part III:	Eddy center positions	
%  %  %  %  Part IIII:	XBT position
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	%clear all;close all;
	%NG: addpath('./sub_functions/');
	%NG: dirin='./data_cruise/';
	%NG: dirout='./';

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%  Load the Files of Bouees %%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	%NG: fname1='Bouee_73235';
	%NG: load([dirin,fname1,'.mat']);
	%NG: fname_latex='Positions_0711';
	
	[drifter_id,latlatex,lonlatex,yearlatex,monthlatex,daylatex,hourlatex,minulatex]=...
        load_drifterLatex(dirin,fname_latex,y1);
	indlatex1=find(drifter_id==73234);
	indlatex2=find(drifter_id==73235);
	indlatex3=find(drifter_id==73236);
	
	% for drifter 1
	drifter_id1 = drifter_id(indlatex1); 
    latlatex1   = latlatex(indlatex1);
    lonlatex1   = lonlatex(indlatex1);
	monthlatex1 = monthlatex(indlatex1);
    daylatex1   = daylatex(indlatex1);
    hourlatex1  = hourlatex(indlatex1);
    minulatex1  = minulatex(indlatex1);
	
	% for drifter 2
	drifter_id2 = drifter_id(indlatex2); 
    latlatex2   = latlatex(indlatex2);
    lonlatex2   = lonlatex(indlatex2);
	monthlatex2 = monthlatex(indlatex2);
    daylatex2   = daylatex(indlatex2);
    hourlatex2  = hourlatex(indlatex2);
    minulatex2  = minulatex(indlatex2);
	
	% for drifter 3
	drifter_id3 = drifter_id(indlatex3); 
    latlatex3   = latlatex(indlatex3);
    lonlatex3   = lonlatex(indlatex3);
	monthlatex3 = monthlatex(indlatex3);
    daylatex3   = daylatex(indlatex3);
    hourlatex3  = hourlatex(indlatex3);
    minulatex3  = minulatex(indlatex3);
    
    %- -%
	%NG: m1  =  9; 
    %NG: d1  = 11;
    
	%NG: p_t = md2jd(m1,d1,2008);
    %NG: p_t = md2jd(m1,d1,y1);
    
	index2_1 = max(find(monthlatex1==m1 & daylatex1==d1)); 
    lon_l1   = lonlatex1(1:index2_1);
    lat_l1   = latlatex1(1:index2_1);
    
	index2_2 = max(find(monthlatex2==m1 & daylatex2==d1)); 
    lon_l2   = lonlatex2(1:index2_2);
    lat_l2   = latlatex2(1:index2_2);
    
	index2_3 = max(find(monthlatex3==m1 & daylatex3==d1)); 
    lon_l3   = lonlatex3(1:index2_3);
    lat_l3   = latlatex3(1:index2_3);
	
    %==========%
    %- FIGURE -%
    %==========%
	%NG: figure(fid1);
    
	%NG: hold on;
    
    %- M_map projection and representation of the coast -%
	%NG: m_proj(projection,'lon',[lon_min lon_max],'lat',[lat_min lat_max]);
    %NG: m_grid('box','fancy','tickdir','in');
	%NG: m_usercoast(UserCoast,'patch',[.5 .5 .5]); 

	
	hold on;
	
	hf(:,4) =  m_plot(lon_l1(1),lat_l1(1),'rs','LineWidth',1,...
			'MarkerEdgeColor','r',...
			'MarkerFaceColor',[0.97 0.97 0.97]',...
			'MarkerSize',8);
        
	m_plot(lon_l3(2),lat_l3(2),'rs','LineWidth',1,...
			'MarkerEdgeColor','r',...
			'MarkerFaceColor',[0.97 0.97 0.97]',...
			'MarkerSize',8);
        
	L2=length(lon_l1);
    L3=length(lon_l3);
    
	for p=2:L2;    
		hf(:,5) = m_line([lon_l1(p) lon_l1(p-1)],[lat_l1(p) lat_l1(p-1)],...
                         'color','m','LineWidth',1); 
		m_plot(lon_l1(p),lat_l1(p),'m.','MarkerSize',10); 
    end
    
	for q=2:L3;    
		hf(:,6) =  m_line([lon_l3(q) lon_l3(q-1)],[lat_l3(q) lat_l3(q-1)],...
                           'color','b','LineWidth',1); 
		m_plot(lon_l3(q),lat_l3(q),'b.','MarkerSize',10); 
	end

	%NG: xlabel('Longitude', 'FontWeight','bold');
	%NG: ylabel('Latitude' , 'FontWeight','bold');
	
	%NG: m_text(3.7,43.21,...
    %NG:     ['Cruise Latex ',num2str(y1)],...
    %NG:     'FontWeight','bold');
    
%  	saveas(1,[dirout,'latex_result_P1','.eps'],'epsc2');
	
%  	%    clf
%  	end








