clear all;
close all;
% Choose the day
year=2010;
month=9;
day=15;
% Choose map boundaries
lonmin=2.5;
lonmax=6;
latmin=41.5;
latmax=43.7;

lonmin=3;
lonmax=4;
latmin=41.75;
latmax=42.75;
% Add path to LATEX tools
% (to be removed)
addpath('/media/DATA/LATEX/Tethys_bak/LATEX/LATEX_MATLAB_tools/');
% Path to ADCP file
ADCPdirin='/media/DATA/LATEX/Tethys_bak/LATEX/ADCP_Tethys/ADCP_work/sta/'; % To be changed to relative path
ADCPname=sprintf('Latex%.4d_%.2d%.2daphi_new.mat',year,day,month);
% Path to FSLE points
FSLEdirin=sprintf('/media/DATA/LATEX/Tethys_bak/LATEX/FSLE_MODIS_Francesco/MatFiles_%.4d%.2d%.2d/',year,month,day); % To be changed to relative path
FSLEname=sprintf('fsle_%.4d%.2d%.2d.mat',year,month,day);
% Output directory
dirout='.\'; % To be changed to relative path

dirin='/media/DATA/LATEX/Tethys_bak/LATEX/Bouee_NicolasMartin/';

% Load the data
[lon,lat,temp,u,v,amp,angle,nE,nC,gyro]=load_ADCP_Saved(ADCPdirin,ADCPname,999);
load([FSLEdirin,FSLEname]);

% use only surface velocities for plot
u=u(2,:); v=v(2,:);

lon=lon';
lat=lat';
%lonmin=min(lon)-.2;
%lonmax=max(lon)+.2;
%latmin=min(lat)-.2;
%latmax=max(lat)+.2;
% Depth vector
zc=(-244-3:4:-8-3);
zc=fliplr(zc);
zc=zc';
clear lon_total_interp lat_total_interp u_total_interp v_total_interp;


%n_vector=input('You want to plot every xx vector (1 defaut)?  ');
%if isempty(n_vector)==1;n_vector=1;end;
%
%cunit=input('\n  cunit (default=0.3)? '); 
%if isempty(cunit)==1;cunit=0.3;end;
%
%coeff=input('\n  coeff (default=0.5)? '); 
%if isempty(coeff)==1;coeff=0.5;end;
%
%u=u*coeff; v=v*coeff;

graph=load('line200.txt');
graphlon=graph(:,2);
graphlat=graph(:,1);
% Plot the figures
figure(1)
hold on; 
m_proj('mercator','lon',[lonmin lonmax],'lat',[latmin latmax])
m_grid('box','fancy','tickdir','in');
m_plot(fsle_lon,fsle_lat,'.','color',[.7 .7 .7],'markersize',5);
%m_quiver(lon(1:n_vector:end),lat(1:n_vector:end),u(1:n_vector:end),v(1:n_vector:end),0,'color','r');
%add_my_arrow(2.75,43.45,cunit,coeff,'ms^{-1}','r');
m_usercoast('GOL.mat','patch',[0.6 0.6 0.6]);
xlabel('Longtitude');
ylabel('Latitude');

m_plot(graphlon,graphlat,'color',[.5 .5 .5]);

%interval=[datenum(2010,9,14,16,15,0) now];
interval=[now-27/24 now];
plot_Argos_buoys_id(dirin,300034012011820,'ro-',interval);

plot_Argos_buoys_id(dirin,83631,'r*-',interval);
plot_Argos_buoys_id(dirin,93265,'b*-',interval);
plot_Argos_buoys_id(dirin,47833,'k*-',interval);
plot_Argos_buoys_id(dirin,47835,'g*-',interval);
%plot_Argos_buoys_id(dirin,48863,'y*-',interval);
%plot_Argos_buoys_id(dirin,48903,'c*-',interval);
%plot_Argos_buoys_id(dirin,48920,'m*-',interval);
%plot_Argos_buoys_id(dirin,48939,'r*:',interval);
%plot_Argos_buoys_id(dirin,48940,'b*:',interval);


title(['Latex2010 ADCP @ ',num2str(abs(zc(2))),' m and FSLE for the ',datestr(datenum(year,month,day))]);

%print(1,[dirout,fname(1:14),'_transect_',num2str(nbt(i)),'.png'],'-dpng','-r200');
