function [a b]=set_limits(Lon,Lat)
%-----------------------------------------------------------------------------------
% Purpose: callback function to return the nearest ensemble from the cursor position
%
% Hu & Nencioli Sept 2010
%-----------------------------------------------------------------------------------
button='n'; % Switch to end the process
while button=='n'
	m_plot(Lon,Lat,'b-x')

	disp('Please choose the beginning of the transect (Left click)')

	[x1,y1,dummy] = ginput(1);
	% Find index of the ADCP vector closest to the selected point
	if dummy==1
		[lon1,lat1]=m_xy2ll(x1,y1);
		d=inf;
		a=0;
		for i=1:length(Lon)
			dist=m_lldist([lon1;Lon(i)],[lat1;Lat(i)]);
			if dist<d
				d=dist;
				a=i;
			end
		end
		m_plot(Lon(a),Lat(a),'rx')
		% Display the index and ask to confirm
		button=input(['Starting point n1=',num2str(a),'; Confirm:  [y/n] '],'s');
	end
end

button='n';
while button=='n'

	disp('Please choose the end of the transect (Left click)')

	[x2,y2,dummy] = ginput(1);
	% Find index of the ADCP vector closest to the selected point
	if dummy==1
		[lon2,lat2]=m_xy2ll(x2,y2);
		d=inf;
		b=0;
		for i=1:length(Lon)
			dist=m_lldist([lon2;Lon(i)],[lat2;Lat(i)]);
			if dist<d
				d=dist;
				b=i;
			end
		end
		m_plot(Lon(a:b),Lat(a:b),'r-x')
		% Display the index and ask to confirm
		button=input(['Ending point n2=',num2str(b),'; Confirm:  [y/n] '],'s');
		if button=='n'
			m_plot(Lon(a+1:b),Lat(a+1:b),'b-x')
		end
	end
end
close(1)
