%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function [time,lon,lat,u,v]=plot_ADCP(dirin,fname,interval,mydepth,...
%%                                       myopt,myscale,legend_unit,legend_lon,legend_lat)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  plot_Argos.m
%  this subfunction helps us to get all the necessary
%  infos from the Arogs file - **.txt from Ifremer
%  Andrea Doglioli & Gilles Rougier - 06/09/2010 - mofication to read new
%  file of buoy send by Nicolas Martin 
%
% interval=time interva in day of the trajectory
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 19/09/2010 : ziyuan.hu@univmed.fr & andrea.doglioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [time,lon,lat,u,v]=plot_ADCP(dirin,fname,interval,mydepth,...
                                      myopt,myscale,legend_unit,legend_lon,legend_lat)

load([dirin,fname]);

final_analyser
final_updated_file

indexes=find(time>=interval(1) & time<=interval(2)); 

indexz=find(depth==mydepth);
while isempty(indexz)==1
    disp('The chosen depth is not available!');
    disp('Please, choose one of the following available depths :');
    disp(num2str(depth'));
    mydepth=input(': ');
    indexz=find(depth==mydepth);
end

lon=lon(indexes);
lat=lat(indexes);
time=time(indexes);%[days]
u=u(indexz,indexes);
v=v(indexz,indexes);

%%% to have a scaled vector with respect the legend
u=u.*myscale;
v=v.*myscale;

m_quiver(lon,lat,u,v,myscale);

m_text(lon(1),lat(1),datestr(time(1),'dd/mm HH:MM'),...
       'Color','k','FontWeight','bold','BackgroundColor','w','HorizontalAlignment','Left');
m_text(lon(end),lat(end),datestr(time(end),'dd/mm HH:MM'),...
       'Color','k','FontWeight','bold','BackgroundColor','w','HorizontalAlignment','Left');

add_my_arrow(legend_lon,legend_lat,legend_unit,myscale,'[ms^{-1}]','r');

m_text(legend_lon,legend_lat-legend_lat/1000*3,['Depth=',num2str(mydepth),'[m]'],...
       'Color','r');

return
