%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 12/12/12 : louise.rousselet@etu.univ-amu.fr : load_AVHRR
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%AVHRR_png.m
% Draw AVHRR pictures of the catalog:
% \\Pcrougier\GOLTS\Osis\CMS_GOLTS\png_gray
% Permits to chose the picture you want to draw
% Make a color palette centered on zmin and zmax :
%   -zmin : value min of picture pixels # 0.
%   -zmax : value max of picture pixels # 255.
% If this palette don't fit, you can re-adjust zmin and zmax / pixels
% having the highest occrrence : histogram method.
% Permits to superpose one or more ADCP transects to a chosen bin.
% NB: real palette (with clouds in white and land in grey) is not full displayed (cf pg AVHRR_test.m).

% Figure 1 picture with automatic color shape
% Figure 2 histogram of choice Tmin, Tmax
% Figure 3 New picture with or without re-calcul of the color bar

% AP - Adaptation for students who have downloaded pictures from osis


%LATEX 2010  pgm used in LATEX/Avhrr/AVHRR_matlab
%pictures AVHRR in LATEX/Avhrr
%file buoys in LATEX/Bouee
% change cd if tree is diferent

function [ ]=plot_AVHRR(dirin,filename,Tmin,Tmax,xim_min,yim_min,lon_text,lat_text)

% %
% %- Caption position
% lon_text=4.;
% lat_text=42.2;


% clear all;
% ici=pwd;
% % Unpacking the selected satellite picture
% % if isunix
% %     addpath '/homes/grougier/golts/matlab';
% %     path_png='/export/home/GOLTS/Osis/CMS_GOLTS/png_gray';
% %     [f_png,p_png]=uigetfile([path_png,'/*.png']);
% % else
% %     %path_png='\\Pcrougier\GOLTS\Osis\CMS_GOLTS\png_gray';
% %     path_png='g:\golts\AVHRR\png_gray';
% %cd ..       % Caution : change if tree diferent
%     [f_png,p_png]=uigetfile(['*.png']);
% % end
% 
% %(remind: user_entry =  path of the repertory
% %             d = dir(*.extension) (contain file names followed by the repertory in which you perform decompression
% %(don't forget to leave a space))
% 


[p_png,f_png,imc4]=load_AVHRR(dirin,filename);

% Extraction of picture date
[p_raw,f_raw,ext]=fileparts([p_png,f_png]);
[pxx,name,ext,version]=fileparts(f_raw);
titre_image=name;
tan=titre_image(33:36);
tmois=titre_image(37:38);
tjour=titre_image(39:40); 
theure=titre_image(41:42);
tminute=titre_image(43:44);
% tan=titre_image(1:4);
% tmois=titre_image(5:6);
% tjour=titre_image(7:8); 
% theure=titre_image(9:10);
% tminute=titre_image(11:12);


% PICTURE figure 1
figure(1);
hold on;
axis([4.8 6.1 42.2 43.45]);
%asp=[0.3 0.3 1];
asp=[1 cos(43*pi/180) 1];
set(gca,'DataAspectRatioMode','manual','DataAspectRatio',asp);

%Position of the picture in lat,lon
% xim_min=2.49
% yim_min=41.

xim=xim_min+[1:500]*0.01;
yim=yim_min+[260:-1:1]*0.01;

him=image(xim,yim,imc4);
[xc,yc]=meshgrid(xim,yim);
[C,h]=contour(xc,yc,imc4,[50 50],'k'); % 85~13.5
% chose isoshape color
set(h,'color',[0.1 0.1 0.6]);

% colormap centered on min and max for infrared picture
ind=find(imc4~=0 & imc4~=255);
zmax=max(imc4(ind));
zmin=min(imc4(ind));
jet_ir=colormap(jet(zmax-zmin+1));
% color bar construction 
map_fin(1,:)=[1 1 1]; % white for clouds
for i=2:zmin
    map_fin(i,:)=jet_ir(1,:);
end
map_fin(zmin+1:zmax+1,:)=jet_ir;
for i=zmax+2:254
    map_fin(i,:)=jet_ir(end,:);
end
map_fin(255,:)=[0.5 0.5 0.5]; % grey for land
c=colormap(map_fin);
co=colorbar;
% To get a colorbar legend in temperature (and not in count)strictly monotonic
set(co,'ylim',[zmin,zmax],'ytick',[zmin:10:zmax],'yticklabel',[(zmin/10+5):1:(zmax/10+5)])  

set(gca,'ydir','normal','ylim',[41.5 43.6],'ytick',[41.5:0.5:43.5],'yticklabel',[41.5:0.5:43.5],...
    'xlim',[3 7])
set(gca,'layer','top','fontsize',12)
        
% ADD ROUND on 28/08/08 because hic on k (colorbar monotonic)
% limits are temperatures to transform in count
        zmin=round((Tmin-5)*10);
        zmax=round((Tmax-5)*10);

 %-------------------------------------
 % F. Nencioli 14-08-2012
 % Had to change it because I was getting a segmentation fault error
 %
 %display([zmin zmax])
 disp([zmin zmax])
 %-------------------------------------
    % Draw again picture of figure 3
    figure(3)
    hold on
    axis([3 7 41.5 43.6]);
    %axis([4.8 6.1 42.2 43.45]);
    %asp=[0.3 0.3 1];
    asp=[1 cos(43*pi/180) 1];
    set(gca,'DataAspectRatioMode','manual','DataAspectRatio',asp);
    
    xim=xim_min+[1:500]*0.01;
    yim=yim_min+[260:-1:1]*0.01;
    him=image(xim,yim,imc4);
    
    [xc,yc]=meshgrid(xim,yim);
    %[C,h]=contour(xc,yc,imc4,[80 80],'k'); % 85~13.5
    %% chose isoshape color
    %set(h,'color',[0.1 0.1 0.6])
    
    close
    m_image(xim,yim,imc4)
    
    % colormap for infrared pictures
    jet_ir=colormap(jet(zmax-zmin+1));
    % colorbar construction
    clear map_fin
    map_fin(1,:)=[1 1 1];
    for i=2:zmin
        map_fin(i,:)=jet_ir(1,:);
    end
    map_fin(zmin+1:zmax+1,:)=jet_ir;
    for i=zmax+2:254
        map_fin(i,:)=jet_ir(end,:);
    end
    map_fin(255,:)=[0.5 0.5 0.5];
    c=colormap(map_fin);
    
    co=colorbar;
    %% Colorbar position
    Pc=get(co,'Position');  
    
% Temperatures calcul
    Tmin=zmin/10+5;
    Tmax=zmax/10+5;
    
    % To get a colorbar legend strictly monotonic
    set(co,'ylim',[zmin,zmax],'ytick',[zmin:10:zmax],'yticklabel',[Tmin:1:Tmax])

    box on
    set(gca,'ydir','normal','ylim',[41.5 43.6],'ytick',[41.5:0.5:43.5],'yticklabel',[41.5:0.5:43.5],...
        'xlim',[3 7])
    set(gca,'layer','top','fontsize',12)
    title(['image AVHRR du ',num2str(tjour),'/',num2str(tmois),'/',num2str(tan),'  ',num2str(theure),'h',num2str(tminute),''])
%end   

%close(1); %opening not mixed picture


return
