%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% function plot_FSLE(dirin,year,month,day)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% script for plotting data of the SF6 concentration
%%%
%%% INPUT : ASCII file sf6_mapping_vessel_coord_nb*_VStethys.txt
%%%
%%% OUTPUT: add to a m_map figure dots of SF6 concentration
%%%
%%% ALGORITHM: loads the data
%%%            plot concentration circles and correpsonding colorbar
%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 23/09/2010 : AD add FSLE field Date on the picture
%%% 18/09/2010 : andrea.doglioli@univmed.fr: add message of read directory
%%% 17/09/2010 : francesco.nencioli@univmed.fr
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_FSLE(dirin,year,month,day,lon_text,lat_text)

% Select the right folder for the FSLE data

dirin=sprintf('%sMatFiles_%.4d%.2d%.2d/',dirin,year,month,day); 
% To be changed to relative path

name=sprintf('fsle_%.4d%.2d%.2d.mat',year,month,day);

% Call function to load FSLE_data
[fsle_lon,fsle_lat]=load_FSLE(dirin,name);

m_plot(fsle_lon,fsle_lat,'.','color',[.7 .7 .7],'markersize',5);

if nargin > 4
    m_text(lon_text,lat_text,['FSLE update: ',name(6:13)],...
           'FontWeight','Bold','Color','k','BackgroundColor',[.9 .9 .9])
end


return