%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Script for draw a the longitude and latitude
%%% with respect the number of measurement
%%%
%%% INPUT : LatexYYYY_DDMMaphi_new.mat file
%%%         clean_indices_DDMM.txt
%%%
%%% OUTPUT: plot_lonlat_Saved_DDMM.png
%%%
%%% ALGORITHM: Load longitude and latitude of the ADCP transect treated
%%%             by SAVED
%%%            Make first figure & plot the figure
%%%            Wait the input of the file with the position of the cut
%%%            Make second figure with the cut
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 22/09/2010 : marion.kersale@univmed.fr
%%% Huge Credits : Ziyuan
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help plot_lonlat_Saved.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;close all;

[fname,dirin]=uigetfile('..\ADCP_Tethys\work\sta\Latex2010_*aphi_new*.mat','Select the Mat file');
tag=fname(11:14);
load([dirin,fname]);
lon=ensemble(:,14); % nE x 1
lat=ensemble(:,13);
%time=ensemble(:,11);


figure(1);
 subplot(2,1,1);
  plot([1:1:nEnsembles],lon)
  xlabel('Number of measurement')
  ylabel('Longitude')
 subplot(2,1,2);
  plot([1:1:nEnsembles],lat)
  xlabel('Number of measurement')
  ylabel('Latitude')


qf=input('If you already have a file indicating the transects indices? [y/n] ','s');

i_cut=0;
if qf=='n'
     a='y';
     while a~='n'
         i_cut=i_cut+1
         count(i_cut)=i_cut;
         beg_cut(i_cut)=input('At wich point do you want to BEGIN  the cut? ')
         end_cut(i_cut)=input('At wich point do you want to FINISH the cut? ')
         a=input('Do you want to continue? [y/n] ','s');
     end %end while
     count
     beg_cut
     end_cut
     M=[count;beg_cut;end_cut]

     fid=fopen(['../ADCP_Tethys/work/clean_indices_',tag,'.txt'],'w');
     fprintf(fid,'%.0f\t%.0f\t%.0f\n',M);
     fclose(fid);
end %end if
  
qf='y';
        
 if qf=='y'
    [indicename,indicedirin]=uigetfile('../ADCP_Tethys/work/clean_indices_*.txt','Select the transect');
    info_transect=load([indicedirin,indicename]);
    ntransect=info_transect(:,1);
    n1=info_transect(:,2);
    n2=info_transect(:,3);

   
    subplot(2,1,1);hold on;
     plot(n1,lon(n1),'rx')
     plot(n2,lon(n2),'bx')
     for i=1:length(ntransect)
        text(n1(i),lon(n1(i)),[num2str(ntransect(i))],...
            'Fontsize',8,'fontweight','bold','VerticalAlignment','Baseline')
     end %end for
    subplot(2,1,2);hold on;
     plot(n1,lat(n1),'rx')
     plot(n2,lat(n2),'bx')
     for i=1:length(ntransect)
        text(n1(i),lat(n1(i)),[num2str(ntransect(i))],...
            'Fontsize',8,'fontweight','bold','VerticalAlignment','Baseline')
     end %end for
   
end %end if

figure(1)
 title(['Clean for ',fname(1:9),'-',fname(11:18),'-',fname(20:end)]);
 subplot(2,1,1);
  grid on;
 subplot(2,1,2);
  grid on;

%
%- Figure Printing -%
print('-f1',['../ADCP_Tethys/work/clean_Latex_',tag],'-dpng','-r150')
%
disp(' ');
disp('----- END ---')
